package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcDtSx;

/**
 * 动态筛选Service接口
 * 
 * @author ruoyi
 * @date 2023-08-28
 */
public interface ITcDtSxService 
{
    /**
     * 查询动态筛选
     * 
     * @param id 动态筛选主键
     * @return 动态筛选
     */
    public TcDtSx selectTcDtSxById(Long id);

    /**
     * 查询动态筛选列表
     * 
     * @param tcDtSx 动态筛选
     * @return 动态筛选集合
     */
    public List<TcDtSx> selectTcDtSxList(TcDtSx tcDtSx);

    /**
     * 新增动态筛选
     * 
     * @param tcDtSx 动态筛选
     * @return 结果
     */
    public int insertTcDtSx(TcDtSx tcDtSx);

    /**
     * 修改动态筛选
     * 
     * @param tcDtSx 动态筛选
     * @return 结果
     */
    public int updateTcDtSx(TcDtSx tcDtSx);

    /**
     * 批量删除动态筛选
     * 
     * @param ids 需要删除的动态筛选主键集合
     * @return 结果
     */
    public int deleteTcDtSxByIds(Long[] ids);

    /**
     * 删除动态筛选信息
     * 
     * @param id 动态筛选主键
     * @return 结果
     */
    public int deleteTcDtSxById(Long id);
}
